import { hashScrypt } from "../../utils/crypto.js";
export const createUserFunction = (auth) => {
    const createUser = async (provider, identifier, options) => {
        const providerId = `${provider}:${identifier}`;
        const attributes = options?.attributes || {};
        const userId = await auth.configs.generateCustomUserId();
        const hashedPassword = options?.password ? await hashScrypt(options.password) : null;
        const userData = await auth.configs.adapter.setUser(userId, {
            providerId,
            hashedPassword: hashedPassword,
            attributes
        });
        const user = auth.configs.transformUserData(userData);
        return user;
    };
    return createUser;
};
