import { hashScrypt } from "../../utils/crypto.js";
export const updateUserProviderIdFunction = (auth) => {
    const updateUserProviderId = async (userId, provider, identifier) => {
        const providerId = `${provider}:${identifier}`;
        const userData = await auth.configs.adapter.updateUser(userId, {
            providerId
        });
        const user = auth.configs.transformUserData(userData);
        return user;
    };
    return updateUserProviderId;
};
export const updateUserAttributesFunction = (auth) => {
    const updateUserAttributes = async (userId, attributes) => {
        const userData = await auth.configs.adapter.updateUser(userId, {
            attributes
        });
        const user = auth.configs.transformUserData(userData);
        return user;
    };
    return updateUserAttributes;
};
export const updateUserPasswordFunction = (auth) => {
    const updateUserPassword = async (userId, password) => {
        const hashedPassword = password ? await hashScrypt(password) : null;
        const [userData] = await Promise.all([
            auth.configs.adapter.updateUser(userId, {
                hashedPassword
            }),
            auth.configs.adapter.deleteSessionsByUserId(userId)
        ]);
        const user = auth.configs.transformUserData(userData);
        return user;
    };
    return updateUserPassword;
};
