interface CookieParseOptions {
    decode?(value: string): string;
}
export declare const parse: (str: string, options?: CookieParseOptions) => Record<any, string | undefined>;
interface CookieSerializeOptions {
    domain?: string | undefined;
    encode?(value: string): string;
    expires?: Date | undefined;
    httpOnly?: boolean | undefined;
    maxAge?: number | undefined;
    path?: string | undefined;
    priority?: "low" | "medium" | "high" | undefined;
    sameSite?: true | false | "lax" | "strict" | "none" | undefined;
    secure?: boolean | undefined;
}
export declare const serialize: (name: string, val: string, options?: CookieSerializeOptions) => string;
export declare class Cookie {
    constructor(name: string, value: string, options: CookieSerializeOptions);
    name: string;
    value: string;
    options: CookieSerializeOptions;
    serialize: () => string;
}
export {};
